package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComStaffUser {
    private Long id;

    private Long thirdStaffId;

    private Long addCustomerTime;

    private Long removeCustomerTime;

    private String unionid;

    private Integer sex;

    private String mobile;

    private String companyRemark;

    private String acctid;

    private String avatar;

    private Integer source;

    private String englishName;

    private String remarkPhone;

    private String realname;

    private String realRemarks;

    private String labelid;

    private Long userId;

    private String nickname;

    private String position;

    private Long corpId;

    private String remarks;

    private Integer seq;

    private Integer status;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getThirdStaffId() {
        return thirdStaffId;
    }

    public void setThirdStaffId(Long thirdStaffId) {
        this.thirdStaffId = thirdStaffId;
    }

    public Long getAddCustomerTime() {
        return addCustomerTime;
    }

    public void setAddCustomerTime(Long addCustomerTime) {
        this.addCustomerTime = addCustomerTime;
    }

    public Long getRemoveCustomerTime() {
        return removeCustomerTime;
    }

    public void setRemoveCustomerTime(Long removeCustomerTime) {
        this.removeCustomerTime = removeCustomerTime;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCompanyRemark() {
        return companyRemark;
    }

    public void setCompanyRemark(String companyRemark) {
        this.companyRemark = companyRemark;
    }

    public String getAcctid() {
        return acctid;
    }

    public void setAcctid(String acctid) {
        this.acctid = acctid;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getRemarkPhone() {
        return remarkPhone;
    }

    public void setRemarkPhone(String remarkPhone) {
        this.remarkPhone = remarkPhone;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getRealRemarks() {
        return realRemarks;
    }

    public void setRealRemarks(String realRemarks) {
        this.realRemarks = realRemarks;
    }

    public String getLabelid() {
        return labelid;
    }

    public void setLabelid(String labelid) {
        this.labelid = labelid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", thirdStaffId=").append(thirdStaffId);
        sb.append(", addCustomerTime=").append(addCustomerTime);
        sb.append(", removeCustomerTime=").append(removeCustomerTime);
        sb.append(", unionid=").append(unionid);
        sb.append(", sex=").append(sex);
        sb.append(", mobile=").append(mobile);
        sb.append(", companyRemark=").append(companyRemark);
        sb.append(", acctid=").append(acctid);
        sb.append(", avatar=").append(avatar);
        sb.append(", source=").append(source);
        sb.append(", englishName=").append(englishName);
        sb.append(", remarkPhone=").append(remarkPhone);
        sb.append(", realname=").append(realname);
        sb.append(", realRemarks=").append(realRemarks);
        sb.append(", labelid=").append(labelid);
        sb.append(", userId=").append(userId);
        sb.append(", nickname=").append(nickname);
        sb.append(", position=").append(position);
        sb.append(", corpId=").append(corpId);
        sb.append(", remarks=").append(remarks);
        sb.append(", seq=").append(seq);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}